Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 6)
@@ -84,7 +84,7 @@
                         ClearGridSortStatus(dgvTenders);                                    // ソート退避エリアクリア
                         break;
                     case (int)FrmMenuTabNameEnum.BudgetUpProjects:
-                        ClearGridSortStatus(dgvDocumentApproval);                           // ソート退避エリアクリア
+                        ClearGridSortStatus(dgvApproval);                           // ソート退避エリアクリア
                         break;
                     case (int)FrmMenuTabNameEnum.SalesInProjects:
                         ClearGridSortStatus(dgvSalesInProjects);                            // ソート退避エリアクリア
@@ -160,10 +160,12 @@
                         break;
                     case (int)FrmMenuTabNameEnum.NonOrders:
                         // 非受注一覧
+                        SetInitNumUDData(numUDNonOrder);        // 営業期選択ボックス初期設定
                         DispNonOrders();
                         break;
                     case (int)FrmMenuTabNameEnum.CompletionOfConstruction:
                         // 完了工事一覧
+                        SetInitNumUDData(numUDCompletion);      // 営業期選択ボックス初期設定
                         DispCompletionOfConstruction();
                         btnDataCopyE.Visible = true;
                         break;
@@ -226,17 +228,6 @@
                     m_tabManager.PageArray[i].Visible = true;
                 }
 
-                //m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.MessageBoard, false);
-                //m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.SalesInProjects, false);
-                //m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.ConstructionProjects, false);
-                //m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.CompletionOfConstruction, false);
-                //m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.ActionSchedule, false);
-                //m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.StaffAssignment, false);
-                //m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.SalesGraph, false);
-                //m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.DocumentApproval, false);
-                //m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.ReferenceData, false);
-                //m_tabManager.ChangeTabPageVisible((int)MenuTabAssign.DocumentsToBeBubmitted, false);
-
                 // システム権限によって表示メニューを変更する
                 if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement)
                 {
@@ -320,10 +311,10 @@
                 foreach (TabPage wrkPage in tabMenu.TabPages)
                 {
                     string wrkname = wrkPage.Name;
-                    int Tabcount = MenuTabName[wrkname];
+                    int Tabcount = MenuTabName[wrkname] - 1;
 
                     if (m_Alldgv[Tabcount] == null) continue;
-                    
+
                     // ----- グリッドのサイズを変更する
                     if (m_GridWidthSize[Tabcount] < 0) continue;
 
@@ -336,7 +327,7 @@
                         int NotVisibleSize = 0;
                         for (int i = 0; i < m_Alldgv[Tabcount].ColumnCount; i++)
                         {
-                                if (m_CellSize[Tabcount, i] < 0) continue;
+                            if (m_CellSize[Tabcount, i] < 0) continue;
                             TotalWidth += m_CellSize[Tabcount, i];
                             if (m_Alldgv[Tabcount].Columns[i].Visible)
                             {
@@ -357,6 +348,8 @@
 
                     for (int i = 0; i < m_Alldgv[Tabcount].ColumnCount; i++)
                     {
+                        if (m_Alldgv[Tabcount] == null) continue;
+
                         DataGridViewColumn wrkCol = m_Alldgv[Tabcount].Columns[i];
                         wrkCol.Width = m_CellSize[Tabcount, i] + idifference;
                     }
@@ -511,9 +504,8 @@
         /// </summary>
         /// <param name="wrkRow"></param>
         /// <param name="cnt"></param>
-        private void SetMessageBoardGrid(MessageBoardData wrkRow, int exeflg)
+        private void SetMessageBoardGrid(MessageBoardData wrkRow, int exeflg, string TergetName)
         {
-            IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
             try
             {
                 DataGridView dgv = dgvMessageBoard;
@@ -520,15 +512,6 @@
                 if (exeflg != (int)FrmMenuTabNameEnum.MessageBoard)
                     dgv = dgvBusinessMessage;
 
-                List<MessageBoardTerget> mbtList = new List<MessageBoardTerget>();
-                string strTerget = mbtDB.CreatePrimarykeyString(wrkRow.RecordNumber, wrkRow.BranchNumber);
-                if (!mbtDB.SelectAction(strTerget, ref mbtList)) return;
-                string TergetName = "";
-                foreach (MessageBoardTerget wrkname in mbtList)
-                {
-                    if (TergetName.Length != 0) TergetName += ",";
-                    TergetName += wrkname.ToName;
-                }
                 int cnt = 0;
                 if (exeflg == (int)FrmMenuTabNameEnum.MessageBoard)
                 {
@@ -536,13 +519,13 @@
                                         wrkRow.BranchNumber,
                                         wrkRow.FromName,
                                         TergetName,
-                                        wrkRow.MessageTitile,
+                                        wrkRow.MessageTitle,
                                         wrkRow.WritingDate.ToShortDateString() + " " + wrkRow.WritingDate.ToShortTimeString(),
                                         wrkRow.PersonCode);
                     // ToolTip表示
                     dgv.Rows[cnt].Cells[(int)MessageGridCount.FromName].ToolTipText = wrkRow.FromName;
                     dgv.Rows[cnt].Cells[(int)MessageGridCount.ToName].ToolTipText = TergetName;
-                    dgv.Rows[cnt].Cells[(int)MessageGridCount.MessageTitile].ToolTipText = wrkRow.MessageTitile;
+                    dgv.Rows[cnt].Cells[(int)MessageGridCount.MessageTitle].ToolTipText = wrkRow.MessageTitle;
                     dgv.Rows[cnt].Cells[(int)MessageGridCount.WritingDate].ToolTipText = wrkRow.WritingDate.ToShortDateString() + " " + wrkRow.WritingDate.ToShortTimeString();
                 }
                 else
@@ -551,7 +534,7 @@
                                         wrkRow.BranchNumber,
                                         wrkRow.FromName,
                                         TergetName,
-                                        wrkRow.MessageTitile,
+                                        wrkRow.MessageTitle,
                                         wrkRow.MessageContent,
                                         wrkRow.WritingDate.ToShortDateString() + " " + wrkRow.WritingDate.ToShortTimeString(),
                                         wrkRow.PersonCode);
@@ -558,7 +541,7 @@
                     // ToolTip表示
                     dgv.Rows[cnt].Cells[(int)MessageGridCount2.FromName].ToolTipText = wrkRow.FromName;
                     dgv.Rows[cnt].Cells[(int)MessageGridCount2.ToName].ToolTipText = TergetName;
-                    dgv.Rows[cnt].Cells[(int)MessageGridCount2.MessageTitile].ToolTipText = wrkRow.MessageTitile;
+                    dgv.Rows[cnt].Cells[(int)MessageGridCount2.MessageTitle].ToolTipText = wrkRow.MessageTitle;
                     dgv.Rows[cnt].Cells[(int)MessageGridCount2.MessageContent].ToolTipText = wrkRow.MessageContent;
                     dgv.Rows[cnt].Cells[(int)MessageGridCount2.WritingDate].ToolTipText = wrkRow.WritingDate.ToShortDateString() + " " + wrkRow.WritingDate.ToShortTimeString();
                 }
@@ -580,10 +563,6 @@
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
-            {
-                mbtDB.close(); mbtDB = null;
-            }
         }
         #endregion
 
@@ -593,37 +572,40 @@
         /// </summary>
         private void DispMessageBoard(int exeflg)
         {
-
             IOMessageBoardData mbdDB = new IOMessageBoardData();
 
             DataGridView dgv = dgvMessageBoard;
-            ProgressBar prgber = UpDateProgress;
-            TabPage tabpage = tabPage7;
-            if (exeflg != (int)FrmMenuTabNameEnum.MessageBoard)
-            {
-                dgv = dgvBusinessMessage;
-                prgber = BusinessProgress;
-                tabpage = tabPage20;
-            }
             try
             {
+                TabPage tabpage = tabPage7;
+                ProgressBar prgber = UpDateProgress;
+                if (exeflg != (int)FrmMenuTabNameEnum.MessageBoard)
+                {
+                    dgv = dgvBusinessMessage;
+                    prgber = BusinessProgress;
+                    tabpage = tabPage20;
+                }
+
                 // 表示先のメッセージを検索する
                 string strSQL = string.Empty;
                 if (exeflg == (int)FrmMenuTabNameEnum.MessageBoard)
-                {
-                    strSQL = " Where WritingDate > Add_Months(sysdate, -3)";
-                    strSQL += " And MessageFlag = 0";
-                    strSQL += " Order By RecordNumber Desc, BranchNumber Asc";
+                {   // 掲示板データ
+                    strSQL = "SELECT A.*, B.TONAME FROM MESSAGEBOARDDATA A, MESSAGEBOARDTERGET B";
+                    strSQL += " Where A.WritingDate > Add_Months(sysdate, -1) And A.MessageFlag = 0";
+                    strSQL += " AND B.RECORDNUMBER = A.RECORDNUMBER AND B.BRANCHNUMBER = A.BRANCHNUMBER";
+                    strSQL += " Order By A.RecordNumber Desc, A.BranchNumber Asc, B.SeqNum ASC";
                 }
                 else
-                {
-                    strSQL += " Where WritingDate > Add_Months(sysdate, -1)";
-                    strSQL += " And MessageFlag = 1";
-                    strSQL += " Order By WritingDate Desc, MessageTitile Asc";
+                {   // 秘書からの連絡
+                    strSQL = "SELECT A.*, B.TONAME FROM MESSAGEBOARDDATA A, MESSAGEBOARDTERGET B";
+                    strSQL += " Where A.WritingDate > (sysdate - 10) And A.MessageFlag = 1";
+                    strSQL += " AND B.RECORDNUMBER = A.RECORDNUMBER AND B.BRANCHNUMBER = A.BRANCHNUMBER";
+                    strSQL += " Order By A.WritingDate Desc, A.MessageTitile Asc, B.SeqNum ASC";
                 }
 
-                List<MessageBoardData> mbdData = new List<MessageBoardData>();
-                if (!mbdDB.SelectAction(strSQL, ref mbdData)) return;
+                ArrayList mbdData = new ArrayList();
+                if (!mbdDB.ExecuteReader(strSQL, ref mbdData)) return;
+                if (mbdData.Count == 0) return;
 
                 prgber.Visible = true;
                 prgber.Minimum = 0;
@@ -635,12 +617,38 @@
                 dgv.RowTemplate.Height = 29;
 
                 int i = 0;
-                foreach (MessageBoardData wrkRow in mbdData)
+                object[] firstRec = (object[])mbdData[0];
+
+                // 掲示板データフィールド数取得
+                int ToNameCnt = Enum.GetNames(typeof(IOMessageBoardData.NameColumn)).Length;
+
+                // １件目のデータ取得
+                int BreakRecordNo = CommonMotions.cnvInt(firstRec[(int)IOMessageBoardData.NameColumn.RecordNumber]);
+                MessageBoardData wrkRow = new MessageBoardData();
+                mbdDB.Reader2Struct(firstRec, ref wrkRow);
+                string TergetName = string.Empty;
+                
+                foreach (object[] DataRec in mbdData)
                 {
+                    if (BreakRecordNo == CommonMotions.cnvInt(DataRec[(int)IOMessageBoardData.NameColumn.RecordNumber]))
+                    {
+                        if (TergetName.Length != 0) TergetName += ",";
+                        TergetName += CommonMotions.cnvString(DataRec[ToNameCnt]);
+                        continue;
+                    }
+
                     // データセット
-                    SetMessageBoardGrid(wrkRow, exeflg);
+                    SetMessageBoardGrid(wrkRow, exeflg, TergetName);
                     i++;
+                    
+                    // ブレイクキーセット
+                    BreakRecordNo = CommonMotions.cnvInt(DataRec[(int)IOMessageBoardData.NameColumn.RecordNumber]);
 
+                    // 次データセット
+                    mbdDB.ClearStruct(ref wrkRow);
+                    mbdDB.Reader2Struct(DataRec, ref wrkRow);
+                    TergetName = CommonMotions.cnvString(DataRec[ToNameCnt]);
+
                     // ProgressBarの値を変更する
                     prgber.Value = i;
                     prgber.Update();
@@ -660,8 +668,6 @@
                 // 空欄追加
                 if (s_PageType1GridRowCount > dgv.RowCount)
                 {
-                    //for (int i = 0; i < s_PageType1GridRowCount - dgvMessageBoard.RowCount; i++)
-                    //    dgvMessageBoard.Rows.Add("", "", "", "", "", "");
                     int AddRowCnt = s_PageType1GridRowCount - dgv.RowCount;
                     if (AddRowCnt != 0) dgv.Rows.Add(AddRowCnt);
                 }
@@ -678,6 +684,308 @@
         #endregion
         #endregion
 
+        #region 承認申請
+        #region 承認申請データを取得する
+        /// <summary>
+        /// 承認申請データを取得する
+        /// </summary>
+        /// <param name="arData"></param>
+        /// <returns></returns>
+        private bool GetDocumentApproval(ref ArrayList arData)
+        {
+            IOProcessApproval paDB = new IOProcessApproval();
+            try
+            {
+                string strLimitedSQL = string.Empty;
+                if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
+                {
+                    // 一般ユーザーは自分の承認のみ表示する
+                    strLimitedSQL += string.Format(" And A.PersonCode = {0} ", CommonMotions.LoginUserData.PersonCode);
+                }
+                // ----- 工事案件毎に最大の承認を取得する
+                int iStatus = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("請求完了")).Key;
+                // 完了工事以外の申請中と承認後7日間のデータを対象とする
+                string strSQL = "SELECT A.APPROVALCODE, A.CONSTRUCTIONCODE, A.PETITIONAPPROVALDATE, A.EntryDate, A.ApprovalLimitDates, A.PERSONCODE, C.PERSONNAME, D.DETAILSTRING, C.DEPARTMENTCODE";
+                strSQL += " FROM PROCESSAPPROVAL A, CONSTRUCTIONBASEINFO B, PERSONINCHARGEMASTER C, CONSTRUCTIONBASEINFODETAIL D";
+                strSQL += string.Format(" WHERE (SEQNO = 1 AND ApprovalStatus != {0})", (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL += " AND A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
+                strSQL += " AND A.PERSONCODE = C.PERSONCODE";
+                strSQL += string.Format(" AND A.CONSTRUCTIONCODE = D.CONSTRUCTIONCODE AND D.DETAILNO = {0}",(int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+
+                strSQL += " UNION SELECT A.APPROVALCODE, A.CONSTRUCTIONCODE, A.PETITIONAPPROVALDATE, A.EntryDate, A.ApprovalLimitDates, A.PERSONCODE, C.PERSONNAME, D.DETAILSTRING, C.DEPARTMENTCODE";
+                strSQL += " FROM  PROCESSAPPROVAL A, CONSTRUCTIONBASEINFO B, PERSONINCHARGEMASTER C, CONSTRUCTIONBASEINFODETAIL D";
+                strSQL += string.Format(" WHERE (SEQNO = 1 AND ApprovalStatus = {0}", (int)CommonDefine.ApprovalStatus.Approval);
+                strSQL += " AND TRUNC(A.UPDATEDATE) >= (TRUNC(SYSDATE) - 7))";
+                strSQL += " AND (A.CONSTRUCTIONCODE = B.CONSTRUCTIONCODE";
+                strSQL += string.Format(" AND B.CONSTRUCTIONSTATUSFLG < {0})", iStatus);
+                strSQL += " AND A.PERSONCODE = C.PERSONCODE";
+                strSQL += string.Format(" AND A.CONSTRUCTIONCODE = D.CONSTRUCTIONCODE AND D.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+
+                strSQL += " ORDER BY APPROVALCODE DESC, PETITIONAPPROVALDATE DESC, PERSONCODE ASC";
+                if (!paDB.ExecuteReader(strSQL, ref arData)) return false;
+
+                if (arData.Count == 0) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                paDB.close(); paDB = null;
+            }
+        }
+        #endregion
+
+        #region 書類承認データ並び
+        /// <summary>
+        /// 書類承認データ並び
+        /// </summary>
+        private enum ApprovalDataList
+        {
+            /// <summary>
+            /// 承認処理コード
+            /// </summary>
+            ApprovalCode = 0,
+            /// <summary>
+            /// 工事番号
+            /// </summary>
+            ConstructionCode,
+            /// <summary>
+            /// 承認日付
+            /// </summary>
+            PetitionapprovalDate,
+            /// <summary>
+            /// 申請日
+            /// </summary>
+            EntryDate,
+            /// <summary>
+            /// 承認希望日
+            /// </summary>
+            ApprovalLimitDates,
+            /// <summary>
+            /// 申請者コード
+            /// </summary>
+            PersonCode,
+            /// <summary>
+            /// 申請者名
+            /// </summary>
+            PersonName,
+            /// <summary>
+            /// 工事名称
+            /// </summary>
+            ConstructionName,
+            /// <summary>
+            /// 部署コード
+            /// </summary>
+            DepartmentCode,
+        }
+        #endregion
+        
+        #region 承認者リスト
+        /// <summary>
+        /// 承認者リスト
+        /// </summary>
+        private enum ApprovalerList
+        {
+            ///// <summary>
+            ///// 承認者コード
+            ///// </summary>
+            //ApprovalPerson,
+            ///// <summary>
+            ///// 表示順
+            ///// </summary>
+            //DisplayOrder,
+            ///// <summary>
+            ///// 承認者名
+            ///// </summary>
+            //PersonName,
+            ///// <summary>
+            ///// 部署名
+            ///// </summary>
+            //DepartmentString,
+            ///// <summary>
+            ///// 役職名
+            ///// </summary>
+            //DisplayString,
+            ///// <summary>
+            ///// 承認状態
+            ///// </summary>
+            //ApprovalStatus,
+
+            /// <summary>
+            /// 承認者コード
+            /// </summary>
+            ApprovalPerson,
+            /// <summary>
+            /// 表示順
+            /// </summary>
+            DisplayOrder,
+            /// <summary>
+            /// 承認者名
+            /// </summary>
+            PersonName,
+            /// <summary>
+            /// 承認状態
+            /// </summary>
+            ApprovalStatus,
+        }
+        #endregion
+        
+        #region 書類承認表示処理
+        /// <summary>
+        /// 書類承認表示処理
+        /// </summary>
+        private void DispDocumentApproval()
+        {
+            IOProcessApproval paDB = new IOProcessApproval();
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            try
+            {
+                DataGridView dgv = dgvApproval;
+                dgv.Rows.Clear();
+
+                // ----- 工事案件毎に最大の承認を取得する
+                ArrayList arData = new ArrayList();
+                if (!GetDocumentApproval(ref arData)) return;
+
+                ProgressDApproval.Visible = true;
+                ProgressDApproval.Minimum = 0;
+                ProgressDApproval.Maximum = arData.Count;
+                tabPage21.Update();
+
+                // 行を作成する
+                DataGridViewRow[] list = new DataGridViewRow[arData.Count];
+                // データ表示
+                int ino = 1;
+                int iLineCnt = 0;
+                int BreakCode = 0;
+                foreach (object[] objwrk in arData)
+                {
+                    // データ取得
+                    int iConstructionCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.ConstructionCode]);       // 工事番号
+                    int iApprovalCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.ApprovalCode]);               // 承認機能番号
+                    DateTime ApprovalEntryDate = CommonMotions.cnvDate(objwrk[(int)ApprovalDataList.EntryDate]);        // 申請日付
+                    int DepartmentCode = CommonMotions.cnvInt(objwrk[(int)ApprovalDataList.DepartmentCode]);            // 対象部署取得
+                    string strPerson = CommonMotions.cnvString(objwrk[(int)ApprovalDataList.PersonName]);               // 申請者名取得
+                    DateTime ApprovalLimitDates = CommonMotions.cnvDate(objwrk[(int)ApprovalDataList.ApprovalLimitDates].ToString());   // 承認希望日
+
+                    string strLimitDate = string.Empty;
+                    if (ApprovalLimitDates != DateTime.MinValue)
+                    {
+                        strLimitDate = ApprovalLimitDates.ToShortDateString();
+                    }
+
+                    // 処理月で空行を入れる
+                    if (ino == 1)
+                    {
+                        BreakCode = iApprovalCode;
+                    }
+                    if (BreakCode != iApprovalCode)
+                    {
+                        dgv.Rows.Add(1);
+                        BreakCode = iApprovalCode;
+                    }
+
+                    // データセット
+                    int CurRowCnt = dgv.Rows.Add(iConstructionCode,
+                                                    iApprovalCode,
+                                                    ino,
+                                                    CommonMotions.cnvString(objwrk[(int)ApprovalDataList.ConstructionName]),
+                                                    ClsExcute.AppovalList[iApprovalCode],
+                                                    strPerson,
+                                                    ApprovalEntryDate.ToShortDateString(),
+                                                    strLimitDate);
+
+                    // 承認種別と種別名に色を付ける
+                    dgv.Rows[CurRowCnt].Cells[(int)DocumentApprovalGridCount.ApprovalName].Style.BackColor = ClsExcute.ApprovalTypeColorList[iApprovalCode];
+
+                    // 承認者取得
+                    string strSQL = "SELECT A.APPROVALPERSON, A.DISPLAYORDER, B.PERSONNAME, NVL(D.APPROVALSTATUS, 4)";
+                    strSQL += " FROM APPROVALMASTER A Left Join PROCESSAPPROVAL D";
+                    strSQL += string.Format(" ON D.CONSTRUCTIONCODE = {0} AND D.APPROVALCODE = {1}", iConstructionCode, iApprovalCode);
+                    strSQL += " AND D.SEQNO != 1 And D.PERSONCODE = A.APPROVALPERSON,";
+                    strSQL += " PERSONINCHARGEMASTER B";
+                    strSQL += string.Format(" Where (A.APPROVALCODE = {0} And A.DEPARTMENTCODE = {1})", iApprovalCode, DepartmentCode);
+                    strSQL += " And A.APPROVALPERSON = B.PERSONCODE";
+                    strSQL += " Order By A.DISPLAYORDER Desc";
+                    // SQL実行
+                    ArrayList AuthorizerData = new ArrayList();
+                    if (!paDB.ExecuteReader(strSQL, ref AuthorizerData)) continue;
+
+                    // データセット
+                    for (int i = 0; i < AuthorizerData.Count; i++)
+                    {
+                        // 承認者が列カウントを超えた場合
+                        if ((dgvApproval.ColumnCount - 1) < ((int)DocumentApprovalGridCount.ApprovalPerson1 + i))
+                        {
+                            // 列を作成する
+                            DataGridViewTextBoxColumn NewColumn = new DataGridViewTextBoxColumn();
+                            // 名前とヘッダーを設定する
+                            NewColumn.Name = string.Format("ApprovalPerson{0}", i);
+                            NewColumn.HeaderText = string.Format("承認者", (i + 1));
+                            // 列の幅
+                            NewColumn.Width = dgvApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].Width;
+                            // 列のアライメントセット
+                            NewColumn.DefaultCellStyle = dgvApproval.Columns[((int)DocumentApprovalGridCount.ApprovalPerson1)].DefaultCellStyle;
+
+                            // 列を追加する
+                            dgvApproval.Columns.Add(NewColumn);
+                        }
+
+                        object[] objAuthorizer = (object[])AuthorizerData[i];
+
+                        int ApprovalStatus = CommonMotions.cnvInt(objAuthorizer[(int)ApprovalerList.ApprovalStatus]);
+                        DataGridViewRow CurRowPo = dgvApproval.Rows[CurRowCnt];
+                        DataGridViewCell CurCell = null;
+                        CurCell = CurRowPo.Cells[(int)DocumentApprovalGridCount.ApprovalPerson1 + i];
+
+                        CurCell.Value = CommonMotions.cnvString(objAuthorizer[(int)ApprovalerList.PersonName]);
+                        CurCell.Style.BackColor = CommonDefine.ApprovalBackColorStatusColor[ApprovalStatus];
+                        CurCell.Style.ForeColor = CommonDefine.ApprovalForeColorStatusColor[ApprovalStatus];
+
+                    }
+                    iLineCnt++;
+
+                    // ProgressBarの値を変更する
+                    ProgressDApproval.Value = ino++;
+                    ProgressDApproval.Update();
+                }
+
+                dgv.ResumeLayout();
+
+                // ProgressBarの値を変更する
+                ProgressDApproval.Value = ProgressDApproval.Maximum;
+                ProgressDApproval.Update();
+                ProgressDApproval.Visible = false;
+
+                // 読込時データカウント取得
+                if (CommonDefine.s_MaxInitLineCount > arData.Count)
+                    dgv.RowCount += (CommonDefine.s_MaxInitLineCount - arData.Count);
+
+                // データが多くなればソートできる
+                foreach (DataGridViewColumn wrkCol in dgv.Columns)
+                    wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
+
+                // グリッドソート実行
+                GridSortExcute(dgv);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                picDB.close(); picDB = null;
+                paDB.close(); paDB = null;
+            }
+        }
+        #endregion
+        #endregion
+
         #region 案件表示データ共通部
         #region 表示用共通部SQL作成
         /// <summary>
@@ -691,7 +999,8 @@
             string strSQL = string.Empty;
             try
             {
-                strSQL = " Where";
+                strSQL += string.Format(" Where TyingFlg != {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
+                strSQL += " AND";
                 strSQL += " (";
 
                 if (EstimateType)
@@ -730,6 +1039,68 @@
         /// </summary>
         /// <param name="constructionCode"></param>
         /// <param name="Details"></param>
+        private void getDetailStrings(int constructionCode, ArrayList arList, ref List<string> Details)
+        {
+            try
+            {
+                Details.Clear();
+                for (int i = 0; i < 5; i++)
+                {
+                    Details.Add("");
+                }
+
+                foreach (object[] objRec in arList)
+                {
+
+                    int iConstrCode = CommonMotions.cnvInt(objRec[(int)DBColumn1.ConstructionCode]);
+                    int iDetailNo = CommonMotions.cnvInt(objRec[(int)DBColumn1.DETAILNO]);
+
+                    // 工事番号が違えば次レコード
+                    if (iConstrCode != constructionCode) continue;
+                    // 工事番号が大きくなったら処理終了
+                    if (iConstrCode > constructionCode) break;
+
+                    int iPoint = -1;
+                    switch (iDetailNo)
+                    {
+                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName:
+                            iPoint = 0;
+                            break;
+
+                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace1:
+                            iPoint = 1;
+                            break;
+
+                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace2:
+                            iPoint = 2;
+                            break;
+
+                        case (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3:
+                            iPoint = 3;
+                            break;
+
+                        case (int)ConstructionBaseInfoDetail.DetailDataNo.OrderersName:
+                            iPoint = 4;
+                            break;
+                        default:
+                            break;
+                    }
+                    if (iPoint < 0) continue;
+                    Details[iPoint] = CommonMotions.cnvString(objRec[(int)DBColumn1.DETAILSTRING]);
+                
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #region 工事の明細を取得する
+        /// <summary>
+        /// 工事の明細を取得する
+        /// </summary>
+        /// <param name="constructionCode"></param>
+        /// <param name="Details"></param>
         private void getDetailStrings(int constructionCode, List<string> Details)
         {
             IOConstructionBaseInfoDetail cbiDB = new IOConstructionBaseInfoDetail();
